pcl::_PointXYZI Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the intensity value. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZI:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float intensity
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the intensity value.

Definition at line 424 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointXYZI::data_c[4]

Definition at line 433 of file point_types.hpp.

float pcl::_PointXYZI::intensity

Definition at line 431 of file point_types.hpp.

Referenced by pcl::PointXYZI::PointXYZI(), pcl::PointXYZRGBtoXYZI(), and pcl::TextureMapping< PointInT >::showOcclusions().

pcl::_PointXYZI::PCL_ADD_POINT4D

Definition at line 426 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp